﻿module MethodsCall

//====================================================
// Подробное описание программного кода исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================
    
type MyClass() as this =
    let a = 90

    // Код исполнить нельзя, поскольку экземпляр класса еще не создан.
    // Выполнение первичного конструктора не закончено.
    //let b = this.Method 7 2

    let c = 78
    do
        this.Method 55 48
    do
        this.Method 23 67

    // Строка вызовет исключение
    // let lastlet = 10 

    member w.Method x y : unit = 
        let res = x * y
        printfn $"Результат умножения %d{x} на %d{y} равен %d{res}"



type MyClass2() =
    let c = 78
    do
        printfn "Первичный конструктор"

    member w.Method x y : unit = 
        let res = x * y
        printfn $"Результат умножения %d{x} на %d{y} равен %d{res}"

    new(i: int) as this2 = MyClass2() then
            this2.Method 98 12